org.apache.commons.ssl.asn1

## Class ASN1Object

- java.lang.Object
- - org.apache.commons.ssl.asn1.ASN1Encodable
  - - org.apache.commons.ssl.asn1.DERObject
    - - org.apache.commons.ssl.asn1.ASN1Object

All Implemented Interfaces:
  DEREncodable, DERTags

Direct Known Subclasses:
  ASN1Null, ASN1OctetString, ASN1Sequence, ASN1Set, ASN1TaggedObject, DERApplicationSpecific, DERBitString, DERBMPString, DERBoolean, DEREnumerated, DERGeneralizedTime, DERGeneralString, DERIA5String, DERInteger, DERNumericString, DERObjectIdentifier, DERPrintableString, DERT61String, DERUniversalString, DERUTCTime, DERUTF8String, DERVisibleString

    public abstract class ASN1Object
    extends DERObject

### Field Summary

### Fields inherited from class org.apache.commons.ssl.asn1.ASN1Encodable

`BER, DER`

### Fields inherited from interface org.apache.commons.ssl.asn1.DERTags

`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

### Constructor Summary

Constructors
Constructor and Description
`ASN1Object()`

### Method Summary

Methods
`(package private) abstract boolean` `asn1Equals(DERObject o)`
`(package private) abstract void` `encode(DEROutputStream out)`
`boolean` `equals(java.lang.Object o)`
`static ASN1Object` `fromByteArray(byte[] data)` Create a base ASN.1 object from a byte stream.
`abstract int` `hashCode()`

### Methods inherited from class org.apache.commons.ssl.asn1.DERObject

`toASN1Object`

### Methods inherited from class org.apache.commons.ssl.asn1.ASN1Encodable

`getDEREncoded, getDERObject, getEncoded, getEncoded`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ASN1Object

    public ASN1Object()

### Method Detail

#### fromByteArray

    public static ASN1Object fromByteArray(byte[] data)
                                    throws java.io.IOException

Create a base ASN.1 object from a byte stream.

Parameters:
  `data` - the byte stream to parse.
Returns:
  the base ASN.1 object represented by the byte stream.
Throws:
  `java.io.IOException` - if there is a problem parsing the data.

#### equals

    public final boolean equals(java.lang.Object o)

Specified by:
  `equals` in class `DERObject`

#### hashCode

    public abstract int hashCode()

Specified by:
  `hashCode` in class `DERObject`

#### encode

    abstract void encode(DEROutputStream out)
                  throws java.io.IOException

Specified by:
  `encode` in class `DERObject`
Throws:
  `java.io.IOException`

#### asn1Equals

    abstract boolean asn1Equals(DERObject o)